Kerbal Space Program - Bug #18862

Engine shrouds are offset
05/11/2018 01:56 PM - Galileo

Status: Closed Start date: 05/11/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.5.1

Version: 1.4.3 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game, Making History

Description

The engine shrouds are offset with engine parts poking through. Some are worse than others. | included some imaged to highlight
the issue.

History

#1 - 05/12/2018 12:46 AM - jclovis3

I think you're supposed to use a larger engine shroud in that case. What you're doing is akin to trying to shove a 4 inch wide can into a 4 inch wide
glass (measured from the outside). In this case, if the engine doesn't fit the shroud, step up to a bigger shroud. My only disappointment with the
engine shrouds is you can't toggle the ability for fuel to transfer through them like you can a coupling. This means, you have to include your fuel tank
in with the engine, or pipe fuel from tanks higher up.

| believe the diameter of the shrouds is meant to be flush with tanks and objects you connect them to so air can pass over them smoothly. You can't
expect every shroud to be a bump that wraps around the engine parts. That's what protective shells do.

#2 - 05/13/2018 10:25 PM - Sandworm101
Galileo wrote:

The engine shrouds are offset with engine parts poking through. Some are worse than others. | included some imaged to highlight the issue.
Seeing this too on linux. Happens with stock and mod shrouds. Shroud-type parts, those objects that appear/disappear when stacked, are slightly
offset both horizontally and vertically. If it helps, this problem is amplified when using SigmaDimensions/Kopernicus to increase the size of kerbin. In
stock, it's a slight graphical bug. On plus-sized kerbin it's laughable.
#3 - 05/13/2018 10:29 PM - Sandworm101
- Platform Linux added

#4 - 05/14/2018 10:28 PM - klesh

- Status changed from New to Confirmed
- % Done changed from 0 to 10

jclovis3 wrote:

| think you're supposed to use a larger engine shroud in that case.

These are the automatic shrouds that come with the engine itself. There is no way to make it bigger.

You can see in this example (Mastodon, full base, 2.5m decoupler below) that the shroud is properly centered and covers the engine and all the
greebles when in the VAB. As soon as you launch the craft, the shroud becomes offset and some of those small white tanks poke through the
shroud. Setting this to confirmed.
#5 - 05/23/2018 07:15 PM - klesh
- File 220200_20180523151014_1.png added

| would add to this that shrouds on Engine Plates are doing the same thing.
Here we see an EP-18 with 3 nodes AND 3 Spark engines attached. An FL-A151S attached to the engine plate bottom node, and a Skiff with bare

variant.

Same deal, looks fine in the VAB but once you launch it you get this mess:

#6 - 06/12/2018 02:32 AM - ancassid
- Platform OSX added

#7 - 07/02/2018 02:40 PM - Technicalfool
- File screenshot22.png added

- File screenshot23.png added

- File output _log _offset_shroud.zip added

#9 - 07/03/2018 10:16 PM - bewing
- File deleted (screenshot22.png)

#10 - 07/03/2018 10:16 PM - bewing
- File deleted (screenshot23.png)

#11 - 07/03/2018 10:16 PM - bewing
- File deleted (output _log_offset _shroud.zip)

#12 - 02/26/2019 02:54 PM - klesh

This is fixed in 1.6.1 but | am unable to change the Status on this bugtracking software, there is no pulldown present.

#13 - 03/15/2019 06:06 PM - nestor
- Status changed from Confirmed to Ready to Test
- Target version set to 1.5.1

- % Done changed from 10 to 80

#14 - 03/16/2019 07:58 AM - Anth12

- File 1.6.1.png added

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Ok thats weird...was this fixed in 1.4.5? Though reverting it to 1.4.5 in steam seems to use MH 1.4.0

reverting to 1.4.3 doesnt show what version of MH its using
1.4.3 has the problem

1.4.5 doesnt have the problem

1.5.1 doesnt have the problem

1.6.1 doesnt have the problem

Resolved

#15 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed
